# User Group Memberships

A User Group Membership represents the connection of a user to a [Workspace Group](/tag/Workspace-Groups). You must be an [Account Administrator](https://knowledge.kantata.com/hc/en-us/articles/203041364) to use these endpoints.

## Fetching a list of User Group Memberships

 - [GET /user_group_memberships](https://developer.kantata.com/kantata/specification/user-group-memberships/get-user-group-memberships.md): This endpoint returns structured User Group Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the user_group_memberships top-level JSON key.
Please see our Response Format section for more information.

## Creating a new User Group Membership

 - [POST /user_group_memberships](https://developer.kantata.com/kantata/specification/user-group-memberships/create-user-group-memberships.md): Adds a user to a Workspace Group.

Bulk Create

This endpoint supports bulk creating up to 100 objects. In the request body, set the top-level key to its plural form and place the objects in an array. Example:


{
  "user_group_memberships": [
    {
      "user_id": 123,
      "workspace_group_id": 111
    },
    {
      "user_id": 456,
      "workspace_group_id": 111
    }
  ]
}



This endpoint returns structured User Group Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the user_group_memberships top-level JSON key.
Please see our Response Format section for more information.

## Deleting an existing User Group Membership

 - [DELETE /user_group_memberships/{id}](https://developer.kantata.com/kantata/specification/user-group-memberships/delete-user-group-membership.md): Removes a user from a Workspace Group.


The response will contain no content and an HTTP 204 status code if the request was
successful, or a standard Kantata OX error message explaining why the object could not be deleted.

